Update Conversation
curl --request PATCH \
--url https://api.example.com/api/v1/conversations/{conversation_id} \
--header 'Content-Type: application/json' \
--data '
{
"status": "<string>",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clear_assignee": false,
"mark_read": false,
"agent_paused": true,
"pinned": true,
"chat_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clear_chat_group": false,
"label_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/api/v1/conversations/{conversation_id}"
payload = {
"status": "<string>",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clear_assignee": False,
"mark_read": False,
"agent_paused": True,
"pinned": True,
"chat_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clear_chat_group": False,
"label_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
status: '<string>',
assignee_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clear_assignee: false,
mark_read: false,
agent_paused: true,
pinned: true,
chat_group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clear_chat_group: false,
label_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/api/v1/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_jid": "<string>",
"status": "<string>",
"unread_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"is_group": false,
"group_subject": "<string>",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_paused": false,
"subject": "<string>",
"last_message_preview": "<string>",
"last_message_at": "2023-11-07T05:31:56Z",
"last_inbound_at": "2023-11-07T05:31:56Z",
"last_outbound_at": "2023-11-07T05:31:56Z",
"contact_name": "<string>",
"contact_whatsapp_name": "<string>",
"contact_profile_picture_url": "<string>",
"display_name": "<string>",
"pinned": false,
"chat_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}conversations
Update Conversation
PATCH
/
api
/
v1
/
conversations
/
{conversation_id}
Update Conversation
curl --request PATCH \
--url https://api.example.com/api/v1/conversations/{conversation_id} \
--header 'Content-Type: application/json' \
--data '
{
"status": "<string>",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clear_assignee": false,
"mark_read": false,
"agent_paused": true,
"pinned": true,
"chat_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clear_chat_group": false,
"label_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/api/v1/conversations/{conversation_id}"
payload = {
"status": "<string>",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clear_assignee": False,
"mark_read": False,
"agent_paused": True,
"pinned": True,
"chat_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clear_chat_group": False,
"label_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
status: '<string>',
assignee_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clear_assignee: false,
mark_read: false,
agent_paused: true,
pinned: true,
chat_group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clear_chat_group: false,
label_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/api/v1/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_jid": "<string>",
"status": "<string>",
"unread_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"is_group": false,
"group_subject": "<string>",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_paused": false,
"subject": "<string>",
"last_message_preview": "<string>",
"last_message_at": "2023-11-07T05:31:56Z",
"last_inbound_at": "2023-11-07T05:31:56Z",
"last_outbound_at": "2023-11-07T05:31:56Z",
"contact_name": "<string>",
"contact_whatsapp_name": "<string>",
"contact_profile_picture_url": "<string>",
"display_name": "<string>",
"pinned": false,
"chat_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Body
application/json
open, pending, or closed
When true, suppress agent auto-reply (human takeover).
Pin/unpin the conversation for the whole org.
Assign conversation to a chat group folder.
Remove conversation from its chat group.
Replace the full set of labels on this conversation.
Link a contact record to this conversation.
Response
Successful Response
Best available human name: contact name, WhatsApp name, or null.
Show child attributes
Show child attributes